Public Member Functions | List of all members
clan::NetGameClient Class Reference
clanNetwork NetGame

NetGameClient. More...

`#include <client.h>`

Inheritance diagram for clan::NetGameClient:

## Public Member Functions
| NetGameClient ()
| ~NetGameClient ()
void | connect (const std::string &server, const std::string &port)
| Connect. More...
void | disconnect ()
| Disconnect. More...
void | process_events ()
| Process events. More...
void | send_event (const NetGameEvent &game_event)
| Send event. More...
Signal< void()> & | sig_connected ()
| Sig connected. More...
Signal< void()> & | sig_disconnected ()
| Sig disconnected. More...
Signal< void(const NetGameEvent &)> & | sig_event_received ()

## Detailed Description

NetGameClient.

The documentation for this class was generated from the following file:

- client.h